unit mainformu;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, Data.Bind.EngExt,
  Fmx.Bind.DBEngExt, System.Rtti, System.Bindings.Outputs, Data.Bind.Components,
  FMX.Edit, Fmx.Bind.Editors, Data.Bind.DBLinks, Fmx.Bind.DBLinks,
  Data.Bind.DBScope, FMX.Layouts, FMX.Grid, Data.DB, Datasnap.DBClient,
  System.Bindings.Helper; //this unit is only needed if you want to use TBinding

type
  TForm5 = class(TForm)
    TrackBar1: TTrackBar;
    BindingsList1: TBindingsList;
    Edit1: TEdit;
    ProgressBar1: TProgressBar;
    BindExprItems1: TBindExprItems;
    Label1: TLabel;
    Edit2: TEdit;
    Edit3: TEdit;
    BindExpressionEdit21: TBindExpression;
    DataSource1: TDataSource;
    ClientDataSet1: TClientDataSet;
    StringGrid1: TStringGrid;
    BindScopeDB1: TBindScopeDB;
    DBLinkStringGrid11: TBindDBGridLink;
    Edit4: TEdit;
    DBLinkEdit4Contact1: TBindDBEditLink;
    procedure TrackBar1Change(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    function Getsays: string;
  private
    { Private declarations }
  public
    { Public declarations }
    property says: String read Getsays;
  end;

var
  Form5: TForm5;

implementation

{$R *.fmx}

procedure TForm5.Edit1Change(Sender: TObject);
begin
  TBindings.Notify(Sender, '');
end;

function TForm5.GetSays: String;
begin
  Result := ' says ';
end;

procedure TForm5.TrackBar1Change(Sender: TObject);
begin
  BindingsList1.Notify(Sender, '');
end;

end.
